Remove An Org Key From A Provider
Removes this organisation's key from a provider. The credential stays in the vault when delete_credential is false, or when anything else still uses it; otherwise it is deleted.
Authorization
OAuth2AuthorizationCodeBearer AuthorizationBearer <token>
In: header
Path Parameters
org_id*Org Id
Format
uuidprovider_id*Provider Id
Format
uuidQuery Parameters
delete_credential?Delete Credential
Default
trueverify_locally?Verify Locally
Default
trueResponse Body
application/json
application/json
curl -X DELETE "https://example.com/v1/organisations/497f6eca-6276-4993-bfeb-53cbbbba6f08/providers/497f6eca-6276-4993-bfeb-53cbbbba6f08/credential"{ "affected_agent_ids": [ "3be60726-8117-485e-8989-22dbb7316ea7" ]}Empty
{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}